@if (sessionOverviewPageService.componentData$ | async; as componentData) {
  <div class="session-view-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.search.generic.criteria.test-case-id' | translate"
    />
    @if (componentData.exploratorySessionOverview.tclnId) {
      <a
        [routerLink]="[
          '/',
          'test-case-workspace',
          'test-case',
          'detail',
          componentData.exploratorySessionOverview.tclnId,
          'content'
        ]"
      >
        {{ componentData.exploratorySessionOverview.tclnId }}</a
      >
    } @else {
      {{ 'sqtm-core.generic.label.deleted.masculine' | translate }}
    }
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    />
    <sqtm-core-auditable-field
      [userName]="componentData.exploratorySessionOverview.createdBy"
      [date]="componentData.exploratorySessionOverview.createdOn"
    />
    <sqtm-core-label
      [text]="
        'sqtm-core.campaign-workspace.exploratory-session-overview.due-date'
          | translate
      "
    />
    <sqtm-core-editable-date-field
      #dueDate
      [attr.data-test-field-id]="'session-overview-due-date'"
      [allowEmptyValue]="true"
      [showTime]="true"
      [editable]="canEdit"
      [layout]="'compact'"
      [value]="componentData.exploratorySessionOverview.dueDate"
      (confirmEvent)="updateDueDate()"
    />
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    />
    <sqtm-core-auditable-field
      [userName]="componentData.exploratorySessionOverview.lastModifiedBy"
      [date]="componentData.exploratorySessionOverview.lastModifiedOn"
    />
    <sqtm-core-label
      [text]="
        'sqtm-core.test-case-workspace.title.exploratory-session-duration'
          | translate
      "
    />
    <sqtm-core-editable-time-field
      #sessionDuration
      [attr.data-test-field-id]="'session-overview-session-duration'"
      [layout]="'compact'"
      [size]="'small'"
      [editable]="canEdit"
      [value]="componentData.exploratorySessionOverview.sessionDuration"
      (confirmEvent)="updateSessionDuration()"
    />
    <div class="flex-row grid-column-start-1">
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.exploratory-session-overview.session-progress'
            | translate
        "
      />
    </div>
    <sqtm-core-label
      [attr.data-test-element-id]="'session-status'"
      [text]="
        getSessionStatus(componentData.exploratorySessionOverview.sessionStatus)
          | translate
      "
    />
    <div class="flex-row grid-column-start-1">
      <sqtm-core-label
        [text]="'sqtm-core.entity.execution.status.long-label' | translate"
      />
      <i
        nz-icon
        nzTheme="fill"
        nzType="sqtm-core-generic:help"
        nz-tooltip
        class="action-icon-size current-workspace-button m-l-5"
        [nzTooltipTitle]="
          'sqtm-core.campaign-workspace.exploratory-session-overview.execution-status.help'
            | translate
        "
      >
      </i>
    </div>
    <sqtm-core-editable-select-level-enum-field
      [attr.data-test-field-id]="'session-execution-status'"
      [editable]="canEdit && canUpdateExecutionStatus"
      [layout]="'no-buttons'"
      [enumType]="'ExecutionStatus'"
      [showIcon]="true"
      [excludedKeys]="excludedExecutionStatusKeys"
      [sqtmCoreEntityViewEditableSelectLevelEnumField]="'executionStatus'"
    />
  </div>
}
